# Build with --debug (1) or --symbols (0)
%global configure_debug       0
%global plugindir             %{_prefix}/lib/%{name}/plugins
%global librndplugindir       %{_libdir}/librnd/plugins
%global rpm_has_recommends    %(rpm --version | awk -e '{print ($3 > 4.12)}')
#%%global svn     15165

Name:           librnd
Version:        4.3.1
Release:        2%{?dist}
Summary:        Ringdove library 

# For a license breakdown info, please refer to https://metadata.ftp-master.debian.org/changelogs/main/p/pcb-rnd/pcb-rnd_2.4.0-1_copyright
License:        GPL-2.0-or-later and LGPL-2.0-or-later and BSD-1-Clause and MIT
URL:            http://www.repo.hu/projects/%name/

Source0:         %{URL}/releases/%{name}-%{version}.tar.gz
#Patch0:         pcb-rnd-librnd-implicit-int.patch
#Patch1:         pcb-rnd-librnd-scconfig-c99.patch

BuildRequires:  make gcc
BuildRequires:  motif


%description
%{name} is a modular 2d CAD framework that drives pcb-rnd and other
Ringdove applications

%package devel
Summary:      Library, headers for %{name}
Requires:     %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for %{name}.

%package static
Summary:        Static libraries for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       %{name}-devel = %{version}-%{release}

%description static
%{name} static libraries for 3rd party applications.

%package doc
Summary:      Documentation for %{name}
Requires:     %{name} = %{version}-%{release}
Buildarch:    noarch

%description doc
Documentation files for %{name}.

%prep
%autosetup -p1

%build
# This ./configure command refers to scconfig. See http://repo.hu/projects/scconfig/
./configure  --prefix=%{_prefix} --libarchdir=lib64 --CFLAGS="%{build_cflags} -fno-lto" --LDFLAGS="%{build_ldflags} -Wl,--no-as-needed"

%if %{configure_debug} == 1
prefix=%{_prefix} --debug
%endif

%make_build

%install
%make_install

%check

chmod +x %{buildroot}%{_libdir}/%{name}4/action_compiler.sh
chmod +x %{buildroot}%{_libdir}/%{name}4/dump_actions_to_html.sh


%files
%{_libdir}/%{name}*.so.4
%{_libdir}/%{name}*.so.4.*

%license COPYING
%doc README Changelog AUTHORS Release_notes

%files devel
%{_libdir}/%{name}-*.so
%{_libdir}/%{name}4/
%{_datadir}/%{name}4/
%{_includedir}/%{name}4/

%files static
%{_libdir}/%{name}-*.a

%files doc
%{_docdir}/%{name}4/


%changelog
* Wed Jan 15 2025 Pappy Packager <skrochen@krotek.net> - 4.3.1-2
- Update

* Tue Jan 14 2025 Pappy Packager <skrochen@krotek.net> - 4.3.1-1
- Apparently this was split out from pcb-rnd

